datablock PlayerData(PlayerWesternArmor : PlayerStandardArmor)
{
  uiName = "Western Player";

  isWesternPlayer = 1;
  firstPersonOnly = 1;

  mass = 120;
  airControl = 0.2;
  canJet = 0;

  maxForwardSpeed = 12;
  maxSideSpeed = 12;
  maxBackwardSpeed = 10;

  runForce = 3200; // 4320
  jumpForce = 1200; // 1080

  maxTools = 8;
};

datablock PlayerData(PlayerWesternArmor2 : PlayerWesternArmor)
{
  uiName = "";

  maxForwardSpeed = 10;
  maxSideSpeed = 10;
  maxBackwardSpeed = 8;
};

datablock PlayerData(PlayerWesternArmor3 : PlayerWesternArmor)
{
  uiName = "";

  maxForwardSpeed = 8;
  maxSideSpeed = 8;
  maxBackwardSpeed = 6;
};

datablock PlayerData(PlayerWesternArmor4 : PlayerWesternArmor)
{
  uiName = "";

  maxForwardSpeed = 7;
  maxSideSpeed = 7;
  maxBackwardSpeed = 5;
};

datablock PlayerData(PlayerWesternArmor5 : PlayerWesternArmor)
{
  uiName = "";

  maxForwardSpeed = 6;
  maxSideSpeed = 6;
  maxBackwardSpeed = 4;
};

datablock PlayerData(PlayerWesternArmor6 : PlayerWesternArmor)
{
  uiName = "";

  maxForwardSpeed = 5;
  maxSideSpeed = 5;
  maxBackwardSpeed = 3;
};

datablock PlayerData(PlayerWesternArmor7 : PlayerWesternArmor)
{
  uiName = "";

  maxForwardSpeed = 4;
  maxSideSpeed = 4;
  maxBackwardSpeed = 2;
};

datablock PlayerData(PlayerWesternArmor8 : PlayerWesternArmor)
{
  uiName = "";

  maxForwardSpeed = 3;
  maxSideSpeed = 3;
  maxBackwardSpeed = 1;
};

function PlayerWesternArmor::onNewDataBlock(%this, %obj)
{
  Parent::onNewDataBlock(%this, %obj);
}

function Player::setWesternSpeed(%this, %speed)
{
  %dataBlock = %this.getDataBlock();

  if (!%dataBlock.isWesternPlayer)
  {
    return;
  }

  %speed = mClamp(%speed, 0, 8);
  %target = nameToID("PlayerWesternArmor" @ (%speed ? %speed : ""));

  if (isObject(%target))
  {
    %this.setDataBlock(%target);
  }
}